Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229066 - [nouveau] crash on VT switch
Summary: [nouveau] crash on VT switch
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 19:38 UTC by Bill Nottingham
Modified: 2014-03-17 03:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:11:58 UTC


Attachments (Terms of Use)
X log (deleted)
2007-02-16 19:38 UTC, Bill Nottingham
no flags Details
xorg.conf (deleted)
2007-02-16 19:39 UTC, Bill Nottingham
no flags Details
X -configure generated xorg.conf (deleted)
2007-02-17 02:53 UTC, Jim Cornette
no flags Details
This is the log from the crash. (deleted)
2007-02-17 02:55 UTC, Jim Cornette
no flags Details
VT crash from test after initial ppracer error. (deleted)
2007-02-17 02:58 UTC, Jim Cornette
no flags Details

Description Bill Nottingham 2007-02-16 19:38:09 UTC
X crashes on VT switch.

Program received signal SIGSEGV, Segmentation fault.
0x00002aaaae03a6ed in exaPrepareAccess (pDrawable=0x9180b0, index=0) at exa.c:320
320             pPixmap->devPrivate.ptr = pExaPixmap->fb_ptr;
(gdb) bt
#0  0x00002aaaae03a6ed in exaPrepareAccess (pDrawable=0x9180b0, index=0) at
exa.c:320
#1  0x00002aaaae040c7e in ExaCheckCopyArea (pSrc=0x926f10, pDst=0x7e40d0,
pGC=0x1, srcx=1, 
    srcy=0, w=145, h=20, dstx=0, dsty=0) at exa_unaccel.c:105
#2  0x0000000000510533 in damageCopyArea (pSrc=0x926f10, pDst=0x9180b0,
pGC=0x913b60, 
    srcx=0, srcy=0, width=145, height=20, dstx=0, dsty=0) at damage.c:790
#3  0x0000000000447418 in ProcCopyArea (client=0x902b40) at dispatch.c:1745
#4  0x0000000000448f8b in Dispatch () at dispatch.c:457
#5  0x0000000000431d0d in main (argc=10, argv=0x7fff980119f8, envp=<value
optimized out>)
    at main.c:445

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.2.0-5.fc7
xorg-x11-drv-nv-1.2.2.1-3.fc7

Comment 1 Bill Nottingham 2007-02-16 19:38:09 UTC
Created attachment 148231 [details]
X log

Comment 2 Bill Nottingham 2007-02-16 19:39:00 UTC
Created attachment 148232 [details]
xorg.conf

Comment 3 Jim Cornette 2007-02-17 02:50:02 UTC
Dual display and testing nouveau. Initial problem is server killed when exiting
ppracer. Log and xorg.conf  attachments included. next.

Comment 4 Jim Cornette 2007-02-17 02:53:32 UTC
Created attachment 148257 [details]
X -configure generated xorg.conf

Nouveau secondary display. Edited LeftOf and driver from "nv" to "nouveau"

Performance of the driver is similar to tests on FC6 with upstream compiled git
version.

Comment 5 Jim Cornette 2007-02-17 02:55:52 UTC
Created attachment 148258 [details]
This is the log from the crash.

Bug report started after the server raspawned in runlevel 5. Old was included
instead of current session log.

Comment 6 Jim Cornette 2007-02-17 02:58:43 UTC
Created attachment 148259 [details]
VT crash from test after initial ppracer error.

I confirm the error when switching to VT.

Comment 7 William Lovaton 2007-03-05 04:28:28 UTC
Bill, do you get a usable desktop?

My problems are very similar to this bug report:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=229104

I can't see the fonts in the login and password textbox in GDM and then it
crashes after login.  I can see the gnome panel, the background and the icons
but there is no text.  And after a few seconds it crashes out back to GDM.

Comment 8 Bill Nottingham 2007-03-07 20:45:14 UTC
Yes, the X display is fine as long as I don't VT switch.

Comment 9 William Lovaton 2007-03-08 00:22:37 UTC
I'm glad your hardware is working fine most of the time, this is really encouraging.

Any idea about the progress of this and the readiness for Fedora 7? is there
some place I can look to follow the progress and offer my help wherever I am
able to do it?

Comment 10 Bug Zapper 2008-04-03 19:10:21 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 11 Bug Zapper 2008-05-07 01:11:56 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.